#!/usr/bin/env python

# Temporary test commands
from pylab import *
import numpy as np
import aov as _aov
import pyaov
#from pylab import *
#import pyaov
#v=arange(300,dtype=float).reshape(3,100)
#v[0,:]=x
#v[1,:]=y
#v[2,:]=z
#print v[:,1]
#mlab.save('ex1.dat',np.transpose(v))
#o=mlab.load('ex1.dat',comments='!',skiprows=0)
o=np.loadtxt('ex1.dat',comments='!',skiprows=0)
od=pyaov.normalize(o[:,1],np.ones(len(o[:,1])),var=0.)  # Subtract mean
fstop,fstep,fr0=pyaov.fgrid(o[:,0])# Find suitable frequency band
th,fr,frmax=pyaov.pspw(o[:,0],od*0.+1.,o[:,2],fstop,fstep) 
                                   # Compute window
pyaov.plper(0.,o[:,0],od,fr,th) # Plot spectral window (time & value ignored)
th,fr,frmax=pyaov.amhw(o[:,0],od,o[:,2],fstop,fstep,nh2=3)  
                           # Calculate periodogram
pyaov.plper(frmax,o[:,0],od,fr,th)   # Inspect periodogram & 
                                   # phase folded data
th,fr,frmax=pyaov.amhw(o[:,0],od,o[:,2],2.8,fstep/10.,nh2=3,fr0=2.7)  
pyaov.plper(frmax,o[:,0],od,fr,th)   # Inspect zoomed periodogram
#xm,fm,dx = pyaov.peak(fr)          # Find periodogram peak parameters 
fr0,dfr,od1,cof,dcof=pyaov.fouw(o[:,0],od,o[:,2],frmax, nh2=2) 
                                   #  Remove one oscillation from data
th,fr,frmax=pyaov.amhw(o[:,0],od1,o[:,2],fstop,fstep,nh2=3)  
                                   # Periodogram of pre-whitened data
pyaov.plper(frmax,o[:,0],od1,fr,th)   # Inspect this periodogram 
